/*
 * Copyright (C) 2023  Christopher J. Howard
 *
 * This file is part of Antkeeper source code.
 *
 * Antkeeper source code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Antkeeper source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Antkeeper source code.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ANTKEEPER_GEOM_HPP
#define ANTKEEPER_GEOM_HPP

/// Geometry
namespace geom {}

#include <engine/aabb.hpp>
#include <engine/bounding-volume.hpp>
#include <engine/convex-hull.hpp>
#include <engine/cartesian.hpp>
#include <engine/csg.hpp>
#include <engine/intersection.hpp>
#include <engine/marching-cubes.hpp>
#include <engine/mesh.hpp>
#include <engine/mesh-accelerator.hpp>
#include <engine/mesh-functions.hpp>
#include <engine/morton.hpp>
#include <engine/octree.hpp>
#include <engine/plane.hpp>
#include <engine/projection.hpp>
#include <engine/ray.hpp>
#include <engine/sdf.hpp>
#include <engine/sphere.hpp>
#include <engine/spherical.hpp>
#include <engine/view-frustum.hpp>

#endif // ANTKEEPER_GEOM_HPP
